> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a history item

> Get a history item by ID.



## OpenAPI

````yaml /openapi.json get /v1/history/{history_item_id}
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/history/{history_item_id}:
    get:
      tags:
        - History
      summary: Get a history item
      description: Get a history item by ID.
      operationId: history_get
      parameters:
        - name: history_item_id
          in: path
          required: true
          schema:
            title: History Item Id
            type: string
          description: >-
            History item identifier returned by generation responses or GET
            /v1/history.
      responses:
        '200':
          description: History item.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HistoryItemResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/history/hist_01haudio" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            item = client.history.get("hist_01haudio")

            print(item["history_item_id"], item["text"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const item = await client.history.get("hist_01haudio");

            console.log(item.historyItemId, item.text);
components:
  schemas:
    HistoryItemResponse:
      additionalProperties: true
      properties:
        history_item_id:
          title: History Item Id
          type: string
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Id
        voice_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Name
        voice_category:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Category
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Model Id
        text:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Text
        source:
          title: Source
          type: string
        state:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: State
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Content Type
        date_unix:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Date Unix
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Request Id
        latency_ms:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Latency Ms
        http_status:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Http Status
        billable_units:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Billable Units
        cost:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          title: Cost
        cost_millicredits:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Cost Millicredits
      required:
        - history_item_id
        - source
      title: HistoryItemResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````